Subject: bug#20056: 25.0.50; Remove non Common Lisp stuff from cl*.el libraries

From: Daniel Colascione <[email-masked]>
Date: Sun, 08 Mar 2015 14:19:10 -0700

On 03/08/2015 02:12 PM, Drew Adams wrote:
> It is perfectly fine to extend or redesign Emacs Lisp any way we
> like.  And we can take whatever we want from Common Lisp and do
> whatever we want with it.  We need not try to emulate any given
> Common-Lisp function or macro.  But the things we put in the
> Common-Lisp emulation package should be emulations of Common Lisp
> things, IMO - things designed by the Common-Lisp designers for
> Common Lisp.
> 
> It is not appropriate to add non Common-Lisp things to our
> emulation of Common Lisp.  That's all.

I think cl-lib has long ago stopped being an emulation of common lisp.
Now, it's a CL-*inspired* utility library. I doubt that there's a risk
of real harmful confusion between this library and actual Common Lisp.